SmoTickIterator this is a local helper class that follows a pattern of iterating of the notes. Most of the duration changers iterate over a selection, and return:

- A note, if the duration changes
- An array of notes, if the notes split
- null if the note stays the same
- empty array, remove the note from the group

### Hierarchy

- SmoTickIterator

## Index

### Constructors

- constructor

## Constructors

### constructor

- new SmoTickIterator(measure: SmoMeasure, actor: TickIteratorBase, voiceIndex: number): SmoTickIterator

- - Defined in src/smo/xform/tickDuration.ts:147

  #### Parameters

  - ##### measure: SmoMeasure

  - ##### actor: TickIteratorBase

  - ##### voiceIndex: number

  #### Returns SmoTickIterator

Generated using TypeDoc